qr_codes.title
GET https://koenavi.jp/api/qr-codes/
curl --request GET \
--url 'https://koenavi.jp/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://koenavi.jp/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | 任意 文字列 (String) | 検索文字列。 |
| search_by | 任意 文字列 (String) | 検索対象フィールド。許可値: name。 |
| type | 任意 文字列 (String) | 検索対象フィールド。許可値: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix。 |
| datetime_field | 任意 文字列 (String) | 許可される値: datetime, last_datetime |
| datetime_start | 任意 文字列 (String) | 開始日時(Y-m-d H:i:s 形式)。 |
| datetime_end | 任意 文字列 (String) | 終了日時(Y-m-d H:i:s 形式)。 |
| order_by | 任意 文字列 (String) | 並び替え対象フィールド。許可値: qr_code_id, datetime, last_datetime, name, type。 |
| order_type | 任意 文字列 (String) | 並び順。昇順は ASC、降順は DESC。 |
| page | 任意 整数 (Integer) | 取得するページ番号(初期値: 1)。 |
| results_per_page | 任意 整数 (Integer) | 1ページあたりの取得件数。許可値: 10, 25, 50, 100, 250, 500, 1000(初期値: 25)。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"link_id": 1,
"type": "Example",
"name": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-17 22:49:46"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://koenavi.jp/api/qr-codes?page=1",
"last": "https://koenavi.jp/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://koenavi.jp/api/qr-codes?page=1"
}
}
GET https://koenavi.jp/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://koenavi.jp/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://koenavi.jp/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-17 22:49:46"
}
}
POST https://koenavi.jp/api/qr-codes
| パラメータ | 詳細 | 説明 |
|---|---|---|
curl --request POST \
--url 'https://koenavi.jp/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://koenavi.jp/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-17 22:49:46"
}
}
POST https://koenavi.jp/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://koenavi.jp/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://koenavi.jp/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-17 22:49:46"
}
}
DELETE https://koenavi.jp/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://koenavi.jp/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://koenavi.jp/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \